
# OE: conditional switches
#
#(ie. use with rpm --rebuild):
#
#	--with diet	Compile task against dietlibc
#
# 

%define build_diet 0

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_diet: %{expand: %%define build_diet 1}}

%define name	task
%define version	1.52
%define release	2mdk

Summary: 	The @stake Sleuth Kit (TASK)
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
Source1:	mac-robber-1.00.tar.bz2
Patch0:		%{name}-%{version}-nofile.patch.bz2
URL:		http://www.atstake.com/research/tools/task/
License:	GPL
Group:		File tools
Requires:	file perl

%if %{build_diet}
BuildRequires: /usr/bin/diet
BuildRequires: dietlibc-devel >= 0.20-1mdk
%endif

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
The @stake Sleuth Kit (TASK) is the only open source forensic
toolkit for a complete analysis of Microsoft and UNIX file
systems. TASK enables investigators to identify and recover
evidence from images acquired during incident response or from
live systems. TASK is also open source, allowing investigators to
verify the actions of the tool or customize it to specific needs.

%prep

%setup -q -a1
%patch0 -p0

%build

%if %{build_diet}
    # OE: use the power of dietlibc
    make CC="diet gcc -D_BSD_SOURCE -D_GNU_SOURCE -s -static"
    diet gcc -D_BSD_SOURCE -D_GNU_SOURCE -s -static -o bin/mac-robber mac-robber-1.00/mac-robber.c
%else
    make COPTS="%{optflags}" OPT="%{optflags}"
    gcc %{optflags} -o bin/mac-robber mac-robber-1.00/mac-robber.c
%endif

mv mac-robber-1.00/README README.mac-robber
chmod 644 README.mac-robber

# hack...
perl -pi -e "s|%{_builddir}/%{name}-%{version}|%{_prefix}|g" bin/sorter

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_datadir}/sorter
install -d %{buildroot}%{_mandir}/man1
install -m755 bin/* %{buildroot}%{_bindir}/
install -m644 man/man1/* %{buildroot}%{_mandir}/man1/
install -m644 share/sorter/* %{buildroot}%{_datadir}/sorter/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README* TODO docs/*.README tct.docs
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/sorter/*

%changelog
* Mon Jan 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.52-2mdk
- added mac-robber
- use spec file magic to enable optional build against dietlibc

* Mon Jan 06 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.52-1mdk
- initial cooker contrib

